# Get Transfer by Reference

This endpoint returns the current status of a transfer. Use it to check a transaction status.

| Environment | Method | URL                                                                                                              |
| ----------- | ------ | ---------------------------------------------------------------------------------------------------------------- |
| Development | GET    | <https://devo.finnet.co.id/was-adapter/transfer/get-reference>                                                   |
| Production  | GET    | [https://{tbc}/was-adapter/transfer/get-reference](https://devo.finnet.co.id/was-adapter/transfer/get-reference) |

### Header Request <a href="#body-request" id="body-request"></a>

| Name          | Type   | Mandatory | Description                                                                                                                           |
| ------------- | ------ | --------- | ------------------------------------------------------------------------------------------------------------------------------------- |
| Authorization | String | M         | <p>Represents Basic Authentication.</p><p>e.g. Basic dW5kZWZpbmVkOnBhc3N3b3Jk</p>                                                     |
| accept        | String | M         | Mandatory header to specify the response format. Must be set to `application/json` so the server returns the response in JSON format. |

### Body Request <a href="#body-request" id="body-request"></a>

<table><thead><tr><th width="72">No</th><th>Name</th><th>Type</th><th valign="top">Mandatory</th><th>Min Length</th><th valign="top">Max Length</th><th>Description</th></tr></thead><tbody><tr><td>1</td><td>reference</td><td>string</td><td valign="top">Yes</td><td></td><td valign="top">255</td><td>Unique transfer reference set when the request was created</td></tr></tbody></table>

#### Sample Request <a href="#sample-request" id="sample-request"></a>

```
curl --request GET \
  --url https://api.finpay.co/get/transfers/reference=123456 \
  --header 'accept: application/json' \
  --header 'authorization: Basic {base64_encoded_api_key}'
```

### Body Response <a href="#body-response" id="body-response"></a>

<table><thead><tr><th width="70">No</th><th>Name</th><th>Type</th><th valign="top">Mandatory</th><th>Min Length</th><th valign="top">Max Length</th><th>Description</th></tr></thead><tbody><tr><td>1</td><td>created</td><td>string (date-time)</td><td valign="top">Yes</td><td></td><td valign="top">24</td><td>Timestamp when the transfer was created (ISO 8601)</td></tr><tr><td>2</td><td>transfer_id</td><td>string</td><td valign="top">Yes</td><td></td><td valign="top">36</td><td>Unique transfer ID from the Finnet system</td></tr><tr><td>3</td><td>reference</td><td>string</td><td valign="top">Yes</td><td></td><td valign="top">255</td><td>Unique transfer reference</td></tr><tr><td>4</td><td>source_user_id</td><td>string</td><td valign="top">Yes</td><td></td><td valign="top">36</td><td>Source user ID (master or sub-account)</td></tr><tr><td>5</td><td>destination_user_id</td><td>string</td><td valign="top">Yes</td><td></td><td valign="top">36</td><td>Destination user ID (master or sub-account)</td></tr><tr><td>6</td><td>status</td><td>string</td><td valign="top">Yes</td><td></td><td valign="top">–</td><td>Transfer status</td></tr><tr><td></td><td></td><td></td><td valign="top"></td><td></td><td valign="top"></td><td>Valid values: <code>SUCCESSFUL</code>, <code>PENDING</code>, <code>FAILED</code></td></tr><tr><td>7</td><td>amount</td><td>number</td><td valign="top">Yes</td><td></td><td valign="top">–</td><td>Amount transferred</td></tr></tbody></table>

#### Sample Response <a href="#sample-response" id="sample-response"></a>

```
{
  "created": "2020-11-30T02:47:53.061Z",
  "transfer_id": "bd1cc56b-ce7f-4ad7-8901-3eaa689e90eb",
  "source_user_id": "5cafeb170a2b18519b1b8768",
  "destination_user_id": "5f8d0c0603ffe06b7d4d9fcf",
  "status": "SUCCESSFUL",
  "amount": "90000",
  "reference": "Monthly_Transfers_1234"
}
```

#### Sample Response (Negative) <a href="#sample-response" id="sample-response"></a>

```
{
    "error_code": "DATA_NOT_FOUND",
    "message": "Could not find transfer by reference 00000000000000007. Please try again using valid reference"
}
```

### Get Transfer by Reference HTTP Status Code <a href="#sample-response" id="sample-response"></a>

<table><thead><tr><th width="69">No</th><th>HTTP Status Code</th><th valign="top">Description</th></tr></thead><tbody><tr><td>1</td><td>200</td><td valign="top">Success with Response Body Message</td></tr><tr><td>2</td><td>400</td><td valign="top">[ <code>DESTINATION_ACCOUNT_NOT_FOUND</code>, <code>DATA_NOT_FOUND</code>, <code>CALLBACK_AUTHENTICATION_TOKEN_NOT_FOUND_ERROR</code> ]</td></tr><tr><td>3</td><td>404</td><td valign="top">[ <code>INVALID_API_KEY</code> ]</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.finpay.id/api-reference/finpay-wallet-as-a-service/core-api/get-transfer-by-reference.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
